Name: liblcms
Version: 1.11
Release: alt2.1
%define srcname lcms-%version

Summary: Little cms color engine
License: LGPL
Group: System/Libraries
Url: http://www.littlecms.com

Source: %url/%srcname.tar.bz2
Patch: %name-1.09-alt-build.patch

Provides: lcms = %version
Obsoletes: lcms

Prefix: %prefix

# Automatically added by buildreq on Thu Feb 21 2002
BuildRequires: libjpeg-devel libtiff-devel zlib-devel

%package devel
Summary: LCMS development environment
Group: Development/C
Requires: %name = %version-%release
Provides: lcms-devel = %version
Obsoletes: lcms-devel

%package devel-static
Summary: Static LCMS library
Group: Development/C
Requires: %name-devel = %version-%release

%package -n lcms-utils
Summary: Various %name-based utilities
Group: Graphics
Requires: %name = %version-%release

%description
This is a CMM engine to deal with color management stuff.

This package contains the library needed to run programs dynamically
linked with %name.

%description devel
This is a CMM engine to deal with color management stuff.

This package is only needed if you plan to develop or compile
applications which requires the LCMS library.

%description devel-static
This is a CMM engine to deal with color management stuff.

This package is only needed if you plan to develop or compile
statically linked applications which requires the LCMS library.

%description -n lcms-utils
This is a CMM engine to deal with color management stuff.

This package contains various %name-based utilities

%prep
%setup -q -n %srcname
find . -type f -exec chmod -x {} ';'
chmod a+x ./configure
r=$(echo -e \\r)
%__subst "s/$r//g;s/^AC_PROG_CXX//;s,python/Makefile,," configure.ac
%__subst "s/ python / /" Makefile.am

%build
%add_optflags -momit-leaf-frame-pointer
libtoolize --copy --force
aclocal
automake
autoconf
%configure --without-python

# SMP-incompatible
%make

%install
%makeinstall includedir=$RPM_BUILD_ROOT/%_includedir/lcms

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS NEWS README*
%_libdir/*.so.*


%files -n lcms-utils
%_bindir/*

%files devel
%_libdir/*.so
%_includedir/*

%files devel-static
%_libdir/*.a

%changelog
* Tue Jan 06 2004 Stanislav Ievlev <inger@altlinux.org> 1.11-alt2.1
- rebuild again

* Mon Jan 05 2004 Stanislav Ievlev <inger@altlinux.org> 1.11-alt2
- fix building with gcc3.3

* Fri Dec 19 2003 Stanislav Ievlev <inger@altlinux.org> 1.11-alt1
- 1.11
- new utils package

* Wed Sep 04 2002 Stanislav Ievlev <inger@altlinux.ru> 1.09-alt1
- 1.09
- build with gcc3

* Thu Feb 21 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.08-alt1
- 1.08

* Mon Sep 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.07-alt1
- 1.07
- Moved static library to devel-static subpackage.

* Tue Feb 06 2001 Dmitry V. Levin <ldv@fandra.org> 1.06-ipl2mdk
- RE adaptions.

* Sun Jan 14 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.06-2mdk
- reverted %%make to make.

* Tue Dec 26 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.06-1mdk
- initial release.
